Bug 729079 - After wake-up from sleep, system hibernates immediately while moved from docking to non-docking
Summary: After wake-up from sleep, system hibernates immediately while moved from dock...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 16:58 UTC by Charles Bovy
Modified: 2012-08-07 20:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:03:44 UTC


Attachments (Terms of Use)

Description Charles Bovy 2011-08-08 16:58:25 UTC
Description of problem:

Suspending and resuming of notebook works perfectly, while using on battery and on power supply.
When using the system in combination with docking-station, the systems detects a second battery somehow, which is represented as empty. 
When the system is suspended (sleep) in the docking-station and resumed without, the system thinks battery is critically low and hibernates immediately.
The actual battery is almost full, but the second imaginary battery is empty. I think hibernate is triggered by this second battery. 

Version-Release number of selected component (if applicable):

gnome-power-manager-3.0.2-2.fc15.i686
kernel-PAE-2.6.38.8-35.fc15.i686

How reproducible:

See above. Not always reproducible. Could be related to the order the batteries are detected in the system.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

If you need additional info, please let me know what info to provide.

Comment 1 Richard Hughes 2011-11-15 13:16:50 UTC
Does this still happen in F16 -- we fixed a lot of docking problems in gnome-settings-daemon there. Thanks.

Comment 2 Charles Bovy 2011-12-07 14:58:51 UTC
I have upgraded to F16. Things related to power and docking work much better. No issue with that.
But another power issue introduced, but I'm unable to pinpoint for now. I'll raise another bug when possible.
This ticket can be closed.

Comment 3 Fedora End Of Life 2012-08-07 20:03:46 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.